Package com.sun.jna.platform.win32

# Class Ddeml.HSZPAIR

java.lang.Object
com.sun.jna.Structure
com.sun.jna.platform.win32.Ddeml.HSZPAIR

Enclosing interface:
  Ddeml

@FieldOrder({"service","topic"}) public static class Ddeml.HSZPAIR extends Structure
The following structure is for use with `Ddeml.XTYP_WILDCONNECT` processing.

## Nested Class Summary

## Nested classes/interfaces inherited from class com.sun.jna.Structure

`Structure.ByReference, Structure.ByValue, Structure.FieldOrder, Structure.StructField`

## Field Summary

Fields
Modifier and Type
Field
Description
`Ddeml.HSZ`
`service`
`Ddeml.HSZ`
`topic`

### Fields inherited from class com.sun.jna.Structure

`ALIGN_DEFAULT, ALIGN_GNUC, ALIGN_MSVC, ALIGN_NONE, CALCULATE_SIZE`

## Constructor Summary

Constructors
Constructor
Description
`HSZPAIR()`
`HSZPAIR(Ddeml.HSZ service, Ddeml.HSZ topic)`

## Method Summary

### Methods inherited from class com.sun.jna.Structure

`allocateMemory, allocateMemory, autoAllocate, autoRead, autoRead, autoWrite, autoWrite, cacheTypeInfo, calculateSize, clear, createFieldsOrder, createFieldsOrder, createFieldsOrder, createFieldsOrder, dataEquals, dataEquals, ensureAllocated, equals, fieldOffset, getAutoRead, getAutoWrite, getFieldList, getFieldOrder, getFields, getNativeAlignment, getNativeSize, getNativeSize, getPointer, getStringEncoding, getStructAlignment, hashCode, newInstance, newInstance, read, readField, readField, setAlignType, setAutoRead, setAutoSynch, setAutoWrite, setStringEncoding, size, sortFields, toArray, toArray, toString, toString, useMemory, useMemory, write, writeField, writeField, writeField`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### service

public Ddeml.HSZ service

### topic

public Ddeml.HSZ topic

## Constructor Details

### HSZPAIR

public HSZPAIR()

### HSZPAIR

public HSZPAIR(Ddeml.HSZ service, Ddeml.HSZ topic)